[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'gettext' (#fcl)

# TranslateUnitResourceStrings

Translate the resource strings of a unit.

## Declaration

Source position: line 0

`procedure TranslateUnitResourceStrings(`
`const AUnitName: string;`
`AFile: TMOFile`
`); procedure TranslateUnitResourceStrings(`
`const AUnitName: string;`
`const AFilename: string`
`);`

## Arguments

`AUnitName` |  | Name of the unit whose strings should be translated.
`AFile` |  | TMOFile instance with translated strings.

## Arguments

`AUnitName` |  | Name of the unit whose strings should be translated.
`AFilename` |  | Name of .mo file with translated strings

## Description

TranslateUnitResourceStrings is identical in function to TranslateResourceStrings, but translates the strings of a single unit (AUnitName) which was used to compile the application. This can be more convenient, since the resource string files are created on a unit basis.

## See also

TranslateResourceStrings |  | Translate the resource strings of the application.
TMOFile |  | Class providing access to a .mo file.

Documentation generated on: Feb 26 2014